; Sample Inno Setup installation file for installing
; an extra SwordSearcher module into the user modules folder
; on the user's computer.

; This is a sample file only. You will need to read the Inno
; Setup documentation to understand it.

; This sample installer will work for commentary and book modules.
; If you need to install something more complex or install into
; the SwordSearcher modules folder itself (instead of the user folder)
; you will need to make several modifications.

; NO WARRANTY EXPRESSED OR IMPLIED. USE AT YOUR OWN RISK.

[Setup]

; Change AppName to the name of your module add-on.
AppName=John's SwordSearcher Commentary

; Change OutputBaseFilename to uniquiely name this installer file.
OutputBaseFilename=JohnsSSCmtySetup

; Set these constants to your information.
AppCopyright=2008 John Doe
AppPublisher=John Doe
AppPublisherURL=http://www.johnsmodules.com

; AppID and AppVerName should be set for your installers,
; BUT USE THE SAME APPID AND APPVERNAME FOR ALL OF YOUR INSTALLERS.
; If you have multiple installers, a consistent AppID will ensure that
; they are all listed as one item in the Add/Remove programs area.
; You may change these, but it is recommended that
; you use the same constants for all of your installers.
AppID=SS5_John_Doe_ExtraModules
AppVerName=SwordSearcher User Module from Jon Doe

; you should leave these constants alone.
DefaultDirName={userdocs}\SwordSearcher User Modules
EnableDirDoesntExistWarning=yes
DirExistsWarning=no
DisableProgramGroupPage=true
AlwaysShowDirOnReadyPage=true
ShowLanguageDialog=no
LanguageDetectionMethod=none
SolidCompression=true
AlwaysShowComponentsList=false
AppendDefaultDirName=false
Compression=lzma/ultra
UsePreviousSetupType=no
DisableReadyMemo=false

[Languages]
Name: english; MessagesFile: compiler:Default.isl

[Messages]
WelcomeLabel2=This will install [name] on your computer.%n%nIt is recommended that you close all other applications before continuing.%n%nPlease make sure SwordSearcher is not running.
SelectDirLabel3=Please specify your SwordSearcher User Modules folder.  This folder should already exist on your computer.

[Files]
; HERE IS WHERE YOU SPECIFY THE MODULE FILE(S)
; You must provide a fully qualified path for the Source, or move the module file
; into the same folder as this installer file.

; This example uses a MyNotes.ss5cmty module and installs it to the folder the user specified.
Source: C:\temp\MyNotes.ss5cmty; DestDir: {app}; Flags: ignoreversion confirmoverwrite

